<?php
require_once OCS_APPLICATION_PATH . '/services/Optimization/Helper/Abstract/Base.php';

class Ocs_Service_Optimization_Helper_NormalizeWhitespace
    extends Ocs_Service_Optimization_Helper_Abstract_Base
{
    public function __invoke($text)
    {
        return trim(preg_replace('~\s+~u', ' ', $text));
    }
}
